Bug 831324 - Software error with a "complex" query
Software error with a "complex" query
Status: CLOSED UPSTREAM
Product: Bugzilla
Classification: Community
Component: Query/Bug List (Show other bugs)
4.2
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: Simon Green
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 15:09 EDT by Luigi Toscano
Modified: 2014-10-12 18:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-18 23:04:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luigi Toscano 2012-06-12 15:09:46 EDT
Description of problem:
I created the following search:
* Classification: Red Hat
* Product: Red Hat Enterprise MRG
* Search by people:
  - "Any of:"
    = mark "the Report" and "the Commenter",
    = fill "contains" -> ltoscano@redhat.com

* Search By Change History:
  - "where ANY of the fields:"
    = select all the fields
  - "between"
    = use the range 2012-05-21..2012-05-25

Press "Search".

This is the error:
----------------------------------------------------------------
Please stand by ...
Software error:

DBD::mysql::st execute failed: Too many tables; MySQL can only use 61 tables in a join [for Statement "SELECT bugs.bug_id AS bug_id, bugs.bug_severity AS bug_severity, bugs.priority AS priority, bugs.bug_status AS bug_status, bugs.resolution AS resolution, map_product.name AS product, map_component.name AS component, map_assigned_to.login_name AS assigned_to, bugs.short_desc AS short_desc, bugs.delta_ts AS changeddate
  FROM bugs
LEFT JOIN bug_group_map AS security_map ON bugs.bug_id = security_map.bug_id
LEFT JOIN cc AS security_cc ON bugs.bug_id = security_cc.bug_id AND security_cc.who = 280220
INNER JOIN products AS map_product ON bugs.product_id = map_product.id
INNER JOIN components AS map_component ON bugs.component_id = map_component.id
INNER JOIN profiles AS map_assigned_to ON bugs.assigned_to = map_assigned_to.userid
INNER JOIN profiles AS name_reporter_2 ON bugs.reporter = name_reporter_2.userid
LEFT JOIN (SELECT bug_id FROM longdescs AS commenter_3 INNER JOIN profiles AS name_commenter_3 ON commenter_3.who = name_commenter_3.userid AND INSTR(name_commenter_3.login_name, 'ltoscano@redhat.com') > 0) AS commenter_3_3 ON bugs.bug_id = commenter_3_3.bug_id
LEFT JOIN bugs_activity AS act_41_6 ON bugs.bug_id = act_41_6.bug_id AND act_41_6.fieldid = 41 AND act_41_6.bug_when >= '2012-05-21 00:00:00'
LEFT JOIN bugs_activity AS act_6954_7 ON bugs.bug_id = act_6954_7.bug_id AND act_6954_7.fieldid = 6954 AND act_6954_7.bug_when >= '2012-05-21 00:00:00'
LEFT JOIN bugs_activity AS act_47_8 ON bugs.bug_id = act_47_8.bug_id AND act_47_8.fieldid = 47 AND act_47_8.bug_when >= '2012-05-21 00:00:00'
LEFT JOIN bugs_activity AS act_6958_9 ON bugs.bug_id = act_6958_9.bug_id AND act_6958_9.fieldid = 6958 AND act_6958_9.bug_when >= '2012-05-21 00:00:00'
LEFT JOIN bugs_activity AS act_20_10 ON bugs.bug_id = act_20_10.bug_id AND act_20_10.fieldid = 20 AND act_20_10.bug_when >= '2012-05-21 00:00:00'
LEFT JOIN bugs_activity AS act_6978_11 ON bugs.bug_id = act_6978_11.bug_id AND act_69 ... ug_when IS NOT NULL OR act_1_34.bug_when IS NOT NULL OR act_18_35.bug_when IS NOT NULL OR act_2_36.bug_when IS NOT NULL OR act_6967_37.bug_when IS NOT NULL OR act_25_38.bug_when IS NOT NULL OR act_73_39.bug_when IS NOT NULL OR act_6943_40.bug_when IS NOT NULL OR act_6973_41.bug_when IS NOT NULL OR act_17_42.bug_when IS NOT NULL OR act_6977_43.bug_when IS NOT NULL OR act_27_44.bug_when IS NOT NULL OR act_52_45.bug_when IS NOT NULL OR act_26_46.bug_when IS NOT NULL ) AND ( bugs.creation_ts <= '2012-05-25 23:59:59' OR act_41_48.bug_when IS NOT NULL OR act_6954_49.bug_when IS NOT NULL OR act_47_50.bug_when IS NOT NULL OR act_6958_51.bug_when IS NOT NULL OR act_20_52.bug_when IS NOT NULL OR act_6978_53.bug_when IS NOT NULL OR act_75_54.bug_when IS NOT NULL OR act_6942_55.bug_when IS NOT NULL OR act_6910_56.bug_when IS NOT NULL OR act_6975_57.bug_when IS NOT NULL OR act_6961_58.bug_when IS NOT NULL OR act_65_59.bug_when IS NOT NULL OR act_74_60.bug_when IS NOT NULL OR act_24_61.bug_when IS NOT NULL OR act_67_62.bug_when IS NOT NULL OR longdescs_63.bug_when IS NOT NULL OR act_6830_64.bug_when IS NOT NULL OR act_6965_65.bug_when IS NOT NULL OR act_6976_66.bug_when IS NOT NULL OR act_66_67.bug_when IS NOT NULL OR act_50_68.bug_when IS NOT NULL OR act_6952_69.bug_when IS NOT NULL OR act_22_70.bug_when IS NOT NULL OR act_23_71.bug_when IS NOT NULL OR act_4_72.bug_when IS NOT NULL OR act_6930_73.bug_when IS NOT NULL OR act_6974_74.bug_when IS NOT NULL OR act_48_75.bug_when IS NOT NULL OR act_1_76.bug_when IS NOT NULL OR act_18_77.bug_when IS NOT NULL OR act_2_78.bug_when IS NOT NULL OR act_6967_79.bug_when IS NOT NULL OR act_25_80.bug_when IS NOT NULL OR act_73_81.bug_when IS NOT NULL OR act_6943_82.bug_when IS NOT NULL OR act_6973_83.bug_when IS NOT NULL OR act_17_84.bug_when IS NOT NULL OR act_6977_85.bug_when IS NOT NULL OR act_27_86.bug_when IS NOT NULL OR act_52_87.bug_when IS NOT NULL OR act_26_88.bug_when IS NOT NULL ) )
GROUP BY bugs.bug_id
ORDER BY bug_id
LIMIT 1000
"] at Bugzilla/DB.pm line 1276
	Bugzilla::DB::__ANON__() called at /usr/lib/perl5/vendor_perl/5.8.8/DBIx/Timeout.pm line 31
	eval {...} called at /usr/lib/perl5/vendor_perl/5.8.8/DBIx/Timeout.pm line 31
	DBIx::Timeout::call_with_timeout('undef', 'dbh', 'Bugzilla::DB::Mysql=HASH(0x180a0980)', 'code', 'CODE(0x180b3d00)', 'timeout', 118) called at Bugzilla/DB.pm line 1277
	Bugzilla::DB::bz_call_with_timeout('Bugzilla::DB::Mysql=HASH(0x180a0980)', 'DBI::st=HASH(0x181b5190)') called at /var/www/html/bugzilla/buglist.cgi line 853

For help, please send mail to the webmaster (bugzilla-owner@redhat.com), giving this error message and the time and date of the error. 
-----------------------------------------------------------------------

Similar queries used to work before the update to 4.2.
Comment 1 Simon Green 2012-06-18 23:04:45 EDT
The Red Hat Bugzilla team will not fix this. I suggest that you file a bug upstream ( https://bugzilla.mozilla.org/ ) to see if they will fix the problem.

Note You need to log in before you can comment on or make changes to this bug.